Subject: Re: [Cbe-oss-dev] [PATCH] powerpc/cell: disable ptcal in case of kdump reboot

From: Michael Ellerman <[email-masked]>
Date: Thu, 12 Jun 2008 19:04:40 +1000

On Thu, 2008-06-12 at 18:06 +1000, Michael Neuling wrote:
> In message <[email-masked]> you wrote:
> > On Wednesday 11 June 2008, Michael Ellerman wrote:
> > > On Wed, 2008-06-11 at 18:28 +0200, Arnd Bergmann wrote:
> > > > We used to do this correctly in case of a user triggered
> > > > kexec, but not for kdump.
> > > 
> > > Used to?
> > 
> > Sorry, wrong wording. I meant without this patch, it's correct
> > for kexec.
> >  
> > > > This patch disables ptcal from the cell specific
> > > > machine_crash_shutdown() callback. 
> > > 
> > > I'd rather you used the crash_shutdown_register() infrastructure Mikey
> > > added for EHEA - it's designed for just this sort of thing.
> > 
> > Thanks for pointing this out, I wasn't aware of that call.
> > New patch coming up.
> 
> In theory we can register lots of call backs but currently the maximum
> is set to 1 through CRASH_HANDLER_MAX.  This is to discourage people
> from using this infrastructure at all.

Yeah true. In this case I think it's the less horrible solution to
something that's fundamentally kdump-unfriendly.

> Unless there's some crazy arse company that's going to mix a CBE with an
> eHEA, we are probably ok leaving this at 1.  Right?

No comment *cough*. I guess I'd say just increase it to 2 on the off
chance, can't hurt much.

cheers

-- 
Michael Ellerman
OzLabs, IBM Australia Development Lab

wwweb: http://michael.ellerman.id.au
phone: +61 2 6212 1183 (tie line 70 21183)

We do not inherit the earth from our ancestors,
we borrow it from our children. - S.M.A.R.T Person